import os
from launch import LaunchDescription
from launch_ros.actions import Node
from launch.actions import ExecuteProcess
from ament_index_python.packages import get_package_share_directory

def generate_launch_description():

    package_name = 'simple_robot_3dof'

    rviz_config_file = os.path.join(
        get_package_share_directory(package_name),
        'rviz',
        'forward_kinematics_simulations.rviz'
    )

    return LaunchDescription([
        Node(
            package = package_name,
            executable = 'forward_kinematics_node_3dof_1',
            name =  'forward_kinematics_node',
            output = 'screen',
            parameters = []
        ),
        Node(
            package = package_name,
            executable = 'reference_node_3dof',
            name =  'reference_node',
            output = 'screen',
            parameters = []
        ),
        Node(
            package='rviz2',
            executable='rviz2',
            name='rviz2',
            output='screen',
            arguments=['-d', rviz_config_file]
        ),
        Node(
            package= 'iiwa_inverse_kinematics',
            executable='inverse_kinematics_node',
            name='inverse_kinematics',
            output='screen',
            parameters = []
        )
    ])