import rclpy
from rclpy.node import Node
import numpy as np
from std_msgs.msg import Float64
from geometry_msgs.msg import Point, PoseStamped
import time


class Reference_Node_3DoF(Node):

    def __init__(self):
        super().__init__('reference_node_1dof')
        #Create a publisher sending the vector as a message
        self.publisher_ = self.create_publisher(Float64, '/dof3/reference_angles', 10)#
        timer_period = 0.05  # seconds
        self.timer = self.create_timer(timer_period, self.ref_point_publisher)
        self.phi_start = 0.0
        self.phi_end = 1.0
        self.phi = self.phi_start
        self.delta = 0.005
        # List the points
        
    def ref_point_publisher(self):
        # Ref position over the time
        # Interpolate between x_0 - x_1
               
        msg = Float64()
        self.phi = self.phi + self.delta       
        
        #setting back to 0
        if self.phi>self.phi_end:
            self.phi = self.phi_start
        #self.get_logger().info('Resetting "%f"' % self.phi)

        msg.data = self.phi
        self.publisher_.publish(msg)
        

def main(args = None):
    rclpy.init(args = args)
    node = Reference_Node_3DoF()
    rclpy.spin(node)
    node.destroy_node()
    rclpy.shutdown()

if __name__ == '__main__':
    main() 